/*	//If there are animations...read them in also
	if (header.NumAnimationSets > 0 && file->GetPosition() != file->GetSize())
	{
		m_NumAnimations = (long)header.NumAnimationSets;
		m_Animations = new deAnimationSet[m_NumAnimations];
		if (!m_Animations)
			goto error;

		for (i = 0; i < m_NumAnimations; i++)
			m_Animations[i].m_BoneAnimations = NULL;

		for (i = 0; i < m_NumAnimations; i++)
		{
			//Read in the name of the animation
			file->Read(m_Animations[i].Name, MAX_ANIM_NAME-1);

			//Read in the amount of bone animations for the set
			file->Read(&m_Animations[i].NumBoneAnimations, sizeof(long));

			//Read in the length of the animation
			file->Read(&m_Animations[i].Length, sizeof(uint32));

			//Create the keyframe array
			m_Animations[i].m_BoneAnimations = new deActorAnimation[m_Animations[i].NumBoneAnimations];
			if (!m_Animations[i].m_BoneAnimations)
				goto error;

			for (j = 0; j < m_Animations[i].NumBoneAnimations; j++)
			{
				int k = 0;

				//Read in the bone id
				file->Read(&m_Animations[i].m_BoneAnimations[j].BoneID, sizeof(long));

				//Read in the amount of rotation keys
				file->Read(&m_Animations[i].m_BoneAnimations[j].NumRotationKeys, sizeof(uint32));

				//If there are no rotation keys, set the array to NULL
				if (m_Animations[i].m_BoneAnimations[j].NumRotationKeys == 0)
					m_Animations[i].m_BoneAnimations[j].RotationKeys = NULL;
				else
				{
					//Create the rotation key array
					m_Animations[i].m_BoneAnimations[j].RotationKeys = new deActorRotationKey[m_Animations[i].m_BoneAnimations[j].NumRotationKeys];
					if (!m_Animations[i].m_BoneAnimations[j].RotationKeys)
						goto error;
			
					//Read in the rotation keys
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumRotationKeys; k++)
						file->Read(&m_Animations[i].m_BoneAnimations[j].RotationKeys[k], sizeof(deActorRotationKey));
				}

				//Read in the amount of position keys
				file->Read(&m_Animations[i].m_BoneAnimations[j].NumPositionKeys, sizeof(uint32));

				//If there are no position keys, set the array to NULL
				if (m_Animations[i].m_BoneAnimations[j].NumPositionKeys == 0)
					m_Animations[i].m_BoneAnimations[j].PositionKeys = NULL;
				else
				{
					//Create the position key array
					m_Animations[i].m_BoneAnimations[j].PositionKeys = new deActorVertexKey[m_Animations[i].m_BoneAnimations[j].NumPositionKeys];
					if (!m_Animations[i].m_BoneAnimations[j].PositionKeys)
						goto error;

					//Read in the position keys
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumPositionKeys; k++)
						file->Read(&m_Animations[i].m_BoneAnimations[j].PositionKeys[k], sizeof(deActorVertexKey));
				}

				//Read in the amount of scale keys
				file->Read(&m_Animations[i].m_BoneAnimations[j].NumScaleKeys, sizeof(uint32));

				//If there are no scale keys, set the array to NULL
				if (m_Animations[i].m_BoneAnimations[j].NumScaleKeys == 0)
					m_Animations[i].m_BoneAnimations[j].ScaleKeys = NULL;
				else
				{
					//Create the rotation key array
					m_Animations[i].m_BoneAnimations[j].ScaleKeys = new deActorRotationKey[m_Animations[i].m_BoneAnimations[j].NumScaleKeys];
					if (!m_Animations[i].m_BoneAnimations[j].ScaleKeys)
						goto error;

					//Read in the rotation keys
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumScaleKeys; k++)
						file->Read(&m_Animations[i].m_BoneAnimations[j].ScaleKeys[k], sizeof(deActorVertexKey));
				}
			}
		}
	}
*/

/*
//Save the animations if there are any
	if (header.NumAnimationSets > 0)
	{
		for (i = 0; i < m_NumAnimations; i++)
		{
			file->Write(m_Animations[i].Name, MAX_ANIM_NAME-1);
			file->Write(&m_Animations[i].NumBoneAnimations, sizeof(long));
			file->Write(&m_Animations[i].Length, sizeof(uint32));

			for (int j = 0; j < m_Animations[i].NumBoneAnimations; j++)
			{
				int k = 0;

				file->Write(&m_Animations[i].m_BoneAnimations[j].BoneID, sizeof(long));
				file->Write(&m_Animations[i].m_BoneAnimations[j].NumRotationKeys, sizeof(long));
				if (m_Animations[i].m_BoneAnimations[j].NumRotationKeys > 0)
				{
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumRotationKeys; k++)
						file->Write(&m_Animations[i].m_BoneAnimations[j].RotationKeys[k], sizeof(deActorRotationKey));
				}

				file->Write(&m_Animations[i].m_BoneAnimations[j].NumPositionKeys, sizeof(long));
				if (m_Animations[i].m_BoneAnimations[j].NumPositionKeys > 0)
				{
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumPositionKeys; k++)
						file->Write(&m_Animations[i].m_BoneAnimations[j].PositionKeys[k], sizeof(deActorVertexKey));
				}

				file->Write(&m_Animations[i].m_BoneAnimations[j].NumScaleKeys, sizeof(long));
				if (m_Animations[i].m_BoneAnimations[j].NumScaleKeys > 0)
				{
					for (k = 0; k < m_Animations[i].m_BoneAnimations[j].NumScaleKeys; k++)
						file->Write(&m_Animations[i].m_BoneAnimations[j].ScaleKeys[k], sizeof(deActorVertexKey));
				}
			}
		}
	}
*/